org.apache.ignite.internal.util.nio

## Class GridNioServerListenerAdapter<T>

- java.lang.Object
- - org.apache.ignite.internal.util.nio.GridNioServerListenerAdapter<T>

All Implemented Interfaces:
  GridNioServerListener<T>

Direct Known Subclasses:
  GridTcpMemcachedNioListener, GridTcpRestNioListener

    public abstract class GridNioServerListenerAdapter<T>
    extends Object
    implements GridNioServerListener<T>

Server listener adapter providing empty methods implementation for rarely used methods.

### Constructor Summary

Constructors
Constructor and Description
`GridNioServerListenerAdapter()`

### Method Summary

Methods
`void` `onSessionIdleTimeout(GridNioSession ses)` Called when session did not receive any activity within timeout interval.
`void` `onSessionWriteTimeout(GridNioSession ses)` Called when session has non-empty write queue and server did not send any data within timeout interval.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.util.nio.GridNioServerListener

`onConnected, onDisconnected, onMessage`

### Constructor Detail

#### GridNioServerListenerAdapter

    public GridNioServerListenerAdapter()

### Method Detail

#### onSessionWriteTimeout

    public void onSessionWriteTimeout(GridNioSession ses)

Called when session has non-empty write queue and server did not send any data within timeout interval.

Specified by:
  `onSessionWriteTimeout` in interface `GridNioServerListener<T>`
Parameters:
  `ses` - Session that has timed out writes.

#### onSessionIdleTimeout

    public void onSessionIdleTimeout(GridNioSession ses)

Called when session did not receive any activity within timeout interval.

Specified by:
  `onSessionIdleTimeout` in interface `GridNioServerListener<T>`
Parameters:
  `ses` - Session that is idle.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015